// <![CDATA[
/******************************************
* Snow Effect Script- By Altan d.o.o. (http://www.altan.hr/snow/index.html)
* Visit Dynamic Drive DHTML code library (http://www.dynamicdrive.com/) for full source code
* Last updated Nov 9th, 05' by DD. This notice must stay intact for use
******************************************/

//Configure below to change URL path to the snow image (snow1.gif or snow2.gif or snow3.gif)
var Snow_Src = "./images/snow5.png";
// Configure below to change number of snow to render
var Snow_Number = 5;
// Configure whether snow should disappear after x seconds (0=never):
var Snow_Hide_Timer = 0;
// Configure how much snow should drop down before fading ("windowheight" or "pageheight")
var Snow_Distance = "pageheight";

///////////Stop Config//////////////////////////////////
var Snow_ie4up = (document.all) ? 1 : 0;
var Snow_ie4up = (document.getElementById && !document.all) ? 1 : 0;
// Default document width & height
var Snow_Doc_Width = 800;
var Snow_Doc_Height = 600; 
// set coordinate variables
var Snow_DX = new Array();
// set position variables
var Snow_XP = new Array();
var Snow_YP = new Array();
// set amplitude variables
var Snow_AM = new Array();
// set step variables
var Snow_STX = new Array();
var Snow_STY = new Array();

var Snow_Timer;

// IE and NS6 main animation function
function SnowIE_NS6()
{
	// iterate for every dot
	for ( var i = 0; i < Snow_Number; i++)
	{
		Snow_YP[i] += Snow_STY[i];
		if (Snow_YP[i] > Snow_Doc_Height - 50)
		{
			Snow_XP[i] = Math.random() * (Snow_Doc_Width-Snow_AM[i] - 30);
			Snow_YP[i] = 0;
			Snow_STX[i] = 0.02 + (Math.random() / 10);
			Snow_STY[i] = 0.7 + Math.random();
		}
		Snow_DX[i] += Snow_STX[i];
		document.getElementById('snowdot'+i).style.top = Snow_YP[i] + 'px';
		document.getElementById('snowdot'+i).style.left = Snow_XP[i] + Snow_AM[i]*Math.sin(Snow_DX[i]) + 'px';
	}

	Snow_Timer = window.setTimeout("SnowIE_NS6()", 10);
}

function GetSnow()
{
	GetPageSizes();
	var objBody = document.getElementsByTagName('body').item(0);

	for (var i = 0; i < Snow_Number; i++)
	{
		Snow_DX[i] = 0;
		Snow_XP[i] = Math.random() * (Snow_Doc_Width - 50);
		Snow_YP[i] = Math.random() * Snow_Doc_Height;
		Snow_AM[i] = Math.random() * 20;
		Snow_STX[i] = 0.02 + (Math.random() / 10);
		Snow_STY[i] = 0.7 + Math.random();

		var objDiv = document.createElement('div');
			objDiv.setAttribute('id', 'snowdot' + i);
			objDiv.style.visibility = 'visible';
			objDiv.style.top = '15px';
			objDiv.style.left = '15px';
			objDiv.style.position = 'absolute';
			objDiv.style.zIndex = i;
		var objmage = document.createElement('img');
			objmage.setAttribute('src', Snow_Src);

		objBody.appendChild(objDiv);
		objDiv.appendChild(objmage);
	}
}

function GetPageSizes()
{
	var xScroll, yScroll;
	if (window.innerHeight && window.scrollMaxY) { xScroll = document.body.scrollWidth; yScroll = window.innerHeight + window.scrollMaxY; }
	/* all but Explorer Mac */
	else if (document.body.scrollHeight > document.body.offsetHeight) { xScroll = document.body.scrollWidth; yScroll = document.body.scrollHeight; }
	/* Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari */
	else { xScroll = document.body.offsetWidth; yScroll = document.body.offsetHeight; }

	var windowWidth, windowHeight;
	/* all except Explorer */
	if (self.innerHeight) { windowWidth = self.innerWidth; windowHeight = self.innerHeight; }
	/* Explorer 6 Strict Mode */
	else if (document.documentElement && document.documentElement.clientHeight) { windowWidth = document.documentElement.clientWidth; windowHeight = document.documentElement.clientHeight; }
	/* Other Explorers */
	else if (document.body) { windowWidth = document.body.clientWidth; windowHeight = document.body.clientHeight; }

	var pageHeight, pageWidth;
	/* for small pages with total height less then height of the viewport */
	if (yScroll < windowHeight) { pageHeight = windowHeight; } else { pageHeight = yScroll; }
	/* for small pages with total width less then width of the viewport */
	if (xScroll < windowWidth) { pageWidth = windowWidth; } else { pageWidth = xScroll; }

	//	Ovewrite Snow_Doc_Width & Snow_Doc_Height with the actual values
	Snow_Doc_Width = pageWidth;
	Snow_Doc_Height = pageHeight;
}

function hidesnow()
{
	if (window.Snow_Timer)
	{
		window.clearTimeout(Snow_Timer);
	}
	for (var i = 0; i < Snow_Number; i++)
	{
		document.getElementById('snowdot'+i).style.visibility = 'hidden';
	}
}

function SnowInit()
{
	if (Snow_ie4up||Snow_ie4up)
	{
		GetSnow();
		SnowIE_NS6();
		if (Snow_Hide_Timer > 0)
		{
			window.setTimeout("hidesnow()", Snow_Hide_Timer*1000);
		}
	}
}

/** Install the safety net to catch any images that needs to be resized - START **/
if (window.onload_functions) // prosilver
{
	onload_functions.push('SnowInit()');
}
else if (typeof(window.addEventListener) != 'undefined') // DOM
{
	window.addEventListener('load', SnowInit, false);
}
else if (typeof(window.attachEvent) != 'undefined') // MSIE
{
	window.attachEvent('onload', SnowInit);
}
/** Install the safety net to catch any images that needs to be resized - END **/

// ]]>